Query Material Links

Query Linked Materials By Order

Request URL

POST /remittance/material/query-links

Request Body

Refer to : common

Biz_data

Name
Type
Description

merchant_id*

long

Merchant ID

order_id

long

Collection ID

material_Id

long

Material ID

start_date*

string

Begin time

Format: yyyy-MM-dd HH:mm:ss

end_date*

string

End time Format: yyyy-MM-dd HH:mm:ss

page_num

int

Default value:1

page_size

int

Default value:10,

Max value is 30

Response

{
    "code": "10000",
    "msg": "Success",
    "data":[
     {
     "link_id":100001,
     "material_id":100001,
     "order_id":"",
     "status":"",
     "created_at":""
      }
    ],
    "total":8,
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
Name
Type
Description

link_id

long

Link ID

material_id*

long

Material ID

order_id*

long

Order ID

status*

integer

Status 1-enabled 2-disabled

created_at

string

Created At

Format:yyyy-MM-dd HH:mm:ss

Example

Note: 162************38 is pagsmile's test app id for sandbox

Please use your own app_id when testing.

Last updated